A ConstructionMetadataRequest is utilized to get information required to construct a transaction. The Options object used to specify which metadata to return is left purposely unstructured to allow flexibility for implementers. Optionally, the request can also include an array of PublicKeys associated with the AccountIdentifiers returned in ConstructionPreprocessResponse.

export
interface

  RosettaConstructionMetadataRequest

### Hierarchy

- RosettaConstructionMetadataRequest

## Index

### Properties

- network_identifier
- options
- public_keys

## Properties

### network_identifier

network_identifier: NetworkIdentifier

- Defined in src/generated/models/RosettaConstructionMetadataRequest.ts:42

memberof

  RosettaConstructionMetadataRequest

### options

options: RosettaOptions

- Defined in src/generated/models/RosettaConstructionMetadataRequest.ts:48

memberof

  RosettaConstructionMetadataRequest

### Optional public_keys

public_keys: RosettaPublicKey []

- Defined in src/generated/models/RosettaConstructionMetadataRequest.ts:54

memberof

  RosettaConstructionMetadataRequest

Generated using TypeDoc